searchNodes=[{"ref":"GoogleApi.SourceRepo.V1.Api.Projects.html","title":"GoogleApi.SourceRepo.V1.Api.Projects","type":"module","doc":"API calls for all endpoints tagged Projects."},{"ref":"GoogleApi.SourceRepo.V1.Api.Projects.html#sourcerepo_projects_get_config/4","title":"GoogleApi.SourceRepo.V1.Api.Projects.sourcerepo_projects_get_config/4","type":"function","doc":"Returns the Cloud Source Repositories configuration of the project. Parameters connection (GoogleApi.SourceRepo.V1.Connection): Connection to server name (String.t): The name of the requested project. Values are of the form &#x60;projects/&lt;project&gt;&#x60;. optional_params (KeywordList): [optional] Optional parameters :$.xgafv (String.t): V1 error format. :access_token (String.t): OAuth access token. :alt (String.t): Data format for response. :callback (String.t): JSONP :fields (String.t): Selector specifying which fields to include in a partial response. :key (String.t): API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token. :oauth_token (String.t): OAuth 2.0 token for the current user. :prettyPrint (boolean()): Returns response with indentations and line breaks. :quotaUser (String.t): Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters. :upload_protocol (String.t): Upload protocol for media (e.g. &quot;raw&quot;, &quot;multipart&quot;). :uploadType (String.t): Legacy upload protocol for media (e.g. &quot;media&quot;, &quot;multipart&quot;). Returns {:ok, %GoogleApi.SourceRepo.V1.Model.ProjectConfig{}} on success {:error, info} on failure"},{"ref":"GoogleApi.SourceRepo.V1.Api.Projects.html#sourcerepo_projects_repos_create/4","title":"GoogleApi.SourceRepo.V1.Api.Projects.sourcerepo_projects_repos_create/4","type":"function","doc":"Creates a repo in the given project with the given name. If the named repository already exists, &#x60;CreateRepo&#x60; returns &#x60;ALREADY_EXISTS&#x60;. Parameters connection (GoogleApi.SourceRepo.V1.Connection): Connection to server parent (String.t): The project in which to create the repo. Values are of the form &#x60;projects/&lt;project&gt;&#x60;. optional_params (KeywordList): [optional] Optional parameters :$.xgafv (String.t): V1 error format. :access_token (String.t): OAuth access token. :alt (String.t): Data format for response. :callback (String.t): JSONP :fields (String.t): Selector specifying which fields to include in a partial response. :key (String.t): API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token. :oauth_token (String.t): OAuth 2.0 token for the current user. :prettyPrint (boolean()): Returns response with indentations and line breaks. :quotaUser (String.t): Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters. :upload_protocol (String.t): Upload protocol for media (e.g. &quot;raw&quot;, &quot;multipart&quot;). :uploadType (String.t): Legacy upload protocol for media (e.g. &quot;media&quot;, &quot;multipart&quot;). :body (Repo): Returns {:ok, %GoogleApi.SourceRepo.V1.Model.Repo{}} on success {:error, info} on failure"},{"ref":"GoogleApi.SourceRepo.V1.Api.Projects.html#sourcerepo_projects_repos_delete/4","title":"GoogleApi.SourceRepo.V1.Api.Projects.sourcerepo_projects_repos_delete/4","type":"function","doc":"Deletes a repo. Parameters connection (GoogleApi.SourceRepo.V1.Connection): Connection to server name (String.t): The name of the repo to delete. Values are of the form &#x60;projects/&lt;project&gt;/repos/&lt;repo&gt;&#x60;. optional_params (KeywordList): [optional] Optional parameters :$.xgafv (String.t): V1 error format. :access_token (String.t): OAuth access token. :alt (String.t): Data format for response. :callback (String.t): JSONP :fields (String.t): Selector specifying which fields to include in a partial response. :key (String.t): API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token. :oauth_token (String.t): OAuth 2.0 token for the current user. :prettyPrint (boolean()): Returns response with indentations and line breaks. :quotaUser (String.t): Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters. :upload_protocol (String.t): Upload protocol for media (e.g. &quot;raw&quot;, &quot;multipart&quot;). :uploadType (String.t): Legacy upload protocol for media (e.g. &quot;media&quot;, &quot;multipart&quot;). Returns {:ok, %GoogleApi.SourceRepo.V1.Model.Empty{}} on success {:error, info} on failure"},{"ref":"GoogleApi.SourceRepo.V1.Api.Projects.html#sourcerepo_projects_repos_get/4","title":"GoogleApi.SourceRepo.V1.Api.Projects.sourcerepo_projects_repos_get/4","type":"function","doc":"Returns information about a repo. Parameters connection (GoogleApi.SourceRepo.V1.Connection): Connection to server name (String.t): The name of the requested repository. Values are of the form &#x60;projects/&lt;project&gt;/repos/&lt;repo&gt;&#x60;. optional_params (KeywordList): [optional] Optional parameters :$.xgafv (String.t): V1 error format. :access_token (String.t): OAuth access token. :alt (String.t): Data format for response. :callback (String.t): JSONP :fields (String.t): Selector specifying which fields to include in a partial response. :key (String.t): API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token. :oauth_token (String.t): OAuth 2.0 token for the current user. :prettyPrint (boolean()): Returns response with indentations and line breaks. :quotaUser (String.t): Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters. :upload_protocol (String.t): Upload protocol for media (e.g. &quot;raw&quot;, &quot;multipart&quot;). :uploadType (String.t): Legacy upload protocol for media (e.g. &quot;media&quot;, &quot;multipart&quot;). Returns {:ok, %GoogleApi.SourceRepo.V1.Model.Repo{}} on success {:error, info} on failure"},{"ref":"GoogleApi.SourceRepo.V1.Api.Projects.html#sourcerepo_projects_repos_get_iam_policy/4","title":"GoogleApi.SourceRepo.V1.Api.Projects.sourcerepo_projects_repos_get_iam_policy/4","type":"function","doc":"Gets the access control policy for a resource. Returns an empty policy if the resource exists and does not have a policy set. Parameters connection (GoogleApi.SourceRepo.V1.Connection): Connection to server resource (String.t): REQUIRED: The resource for which the policy is being requested. See the operation documentation for the appropriate value for this field. optional_params (KeywordList): [optional] Optional parameters :$.xgafv (String.t): V1 error format. :access_token (String.t): OAuth access token. :alt (String.t): Data format for response. :callback (String.t): JSONP :fields (String.t): Selector specifying which fields to include in a partial response. :key (String.t): API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token. :oauth_token (String.t): OAuth 2.0 token for the current user. :prettyPrint (boolean()): Returns response with indentations and line breaks. :quotaUser (String.t): Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters. :upload_protocol (String.t): Upload protocol for media (e.g. &quot;raw&quot;, &quot;multipart&quot;). :uploadType (String.t): Legacy upload protocol for media (e.g. &quot;media&quot;, &quot;multipart&quot;). Returns {:ok, %GoogleApi.SourceRepo.V1.Model.Policy{}} on success {:error, info} on failure"},{"ref":"GoogleApi.SourceRepo.V1.Api.Projects.html#sourcerepo_projects_repos_list/4","title":"GoogleApi.SourceRepo.V1.Api.Projects.sourcerepo_projects_repos_list/4","type":"function","doc":"Returns all repos belonging to a project. The sizes of the repos are not set by ListRepos. To get the size of a repo, use GetRepo. Parameters connection (GoogleApi.SourceRepo.V1.Connection): Connection to server name (String.t): The project ID whose repos should be listed. Values are of the form &#x60;projects/&lt;project&gt;&#x60;. optional_params (KeywordList): [optional] Optional parameters :$.xgafv (String.t): V1 error format. :access_token (String.t): OAuth access token. :alt (String.t): Data format for response. :callback (String.t): JSONP :fields (String.t): Selector specifying which fields to include in a partial response. :key (String.t): API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token. :oauth_token (String.t): OAuth 2.0 token for the current user. :prettyPrint (boolean()): Returns response with indentations and line breaks. :quotaUser (String.t): Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters. :upload_protocol (String.t): Upload protocol for media (e.g. &quot;raw&quot;, &quot;multipart&quot;). :uploadType (String.t): Legacy upload protocol for media (e.g. &quot;media&quot;, &quot;multipart&quot;). :pageSize (integer()): Maximum number of repositories to return; between 1 and 500. If not set or zero, defaults to 100 at the server. :pageToken (String.t): Resume listing repositories where a prior ListReposResponse left off. This is an opaque token that must be obtained from a recent, prior ListReposResponse&#39;s next_page_token field. Returns {:ok, %GoogleApi.SourceRepo.V1.Model.ListReposResponse{}} on success {:error, info} on failure"},{"ref":"GoogleApi.SourceRepo.V1.Api.Projects.html#sourcerepo_projects_repos_patch/4","title":"GoogleApi.SourceRepo.V1.Api.Projects.sourcerepo_projects_repos_patch/4","type":"function","doc":"Updates information about a repo. Parameters connection (GoogleApi.SourceRepo.V1.Connection): Connection to server name (String.t): The name of the requested repository. Values are of the form &#x60;projects/&lt;project&gt;/repos/&lt;repo&gt;&#x60;. optional_params (KeywordList): [optional] Optional parameters :$.xgafv (String.t): V1 error format. :access_token (String.t): OAuth access token. :alt (String.t): Data format for response. :callback (String.t): JSONP :fields (String.t): Selector specifying which fields to include in a partial response. :key (String.t): API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token. :oauth_token (String.t): OAuth 2.0 token for the current user. :prettyPrint (boolean()): Returns response with indentations and line breaks. :quotaUser (String.t): Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters. :upload_protocol (String.t): Upload protocol for media (e.g. &quot;raw&quot;, &quot;multipart&quot;). :uploadType (String.t): Legacy upload protocol for media (e.g. &quot;media&quot;, &quot;multipart&quot;). :body (UpdateRepoRequest): Returns {:ok, %GoogleApi.SourceRepo.V1.Model.Repo{}} on success {:error, info} on failure"},{"ref":"GoogleApi.SourceRepo.V1.Api.Projects.html#sourcerepo_projects_repos_set_iam_policy/4","title":"GoogleApi.SourceRepo.V1.Api.Projects.sourcerepo_projects_repos_set_iam_policy/4","type":"function","doc":"Sets the access control policy on the specified resource. Replaces any existing policy. Parameters connection (GoogleApi.SourceRepo.V1.Connection): Connection to server resource (String.t): REQUIRED: The resource for which the policy is being specified. See the operation documentation for the appropriate value for this field. optional_params (KeywordList): [optional] Optional parameters :$.xgafv (String.t): V1 error format. :access_token (String.t): OAuth access token. :alt (String.t): Data format for response. :callback (String.t): JSONP :fields (String.t): Selector specifying which fields to include in a partial response. :key (String.t): API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token. :oauth_token (String.t): OAuth 2.0 token for the current user. :prettyPrint (boolean()): Returns response with indentations and line breaks. :quotaUser (String.t): Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters. :upload_protocol (String.t): Upload protocol for media (e.g. &quot;raw&quot;, &quot;multipart&quot;). :uploadType (String.t): Legacy upload protocol for media (e.g. &quot;media&quot;, &quot;multipart&quot;). :body (SetIamPolicyRequest): Returns {:ok, %GoogleApi.SourceRepo.V1.Model.Policy{}} on success {:error, info} on failure"},{"ref":"GoogleApi.SourceRepo.V1.Api.Projects.html#sourcerepo_projects_repos_sync/4","title":"GoogleApi.SourceRepo.V1.Api.Projects.sourcerepo_projects_repos_sync/4","type":"function","doc":"Synchronize a connected repo. The response contains SyncRepoMetadata in the metadata field. Parameters connection (GoogleApi.SourceRepo.V1.Connection): Connection to server name (String.t): The name of the repo to synchronize. Values are of the form &#x60;projects/&lt;project&gt;/repos/&lt;repo&gt;&#x60;. optional_params (KeywordList): [optional] Optional parameters :$.xgafv (String.t): V1 error format. :access_token (String.t): OAuth access token. :alt (String.t): Data format for response. :callback (String.t): JSONP :fields (String.t): Selector specifying which fields to include in a partial response. :key (String.t): API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token. :oauth_token (String.t): OAuth 2.0 token for the current user. :prettyPrint (boolean()): Returns response with indentations and line breaks. :quotaUser (String.t): Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters. :upload_protocol (String.t): Upload protocol for media (e.g. &quot;raw&quot;, &quot;multipart&quot;). :uploadType (String.t): Legacy upload protocol for media (e.g. &quot;media&quot;, &quot;multipart&quot;). :body (SyncRepoRequest): Returns {:ok, %GoogleApi.SourceRepo.V1.Model.Operation{}} on success {:error, info} on failure"},{"ref":"GoogleApi.SourceRepo.V1.Api.Projects.html#sourcerepo_projects_repos_test_iam_permissions/4","title":"GoogleApi.SourceRepo.V1.Api.Projects.sourcerepo_projects_repos_test_iam_permissions/4","type":"function","doc":"Returns permissions that a caller has on the specified resource. If the resource does not exist, this will return an empty set of permissions, not a NOT_FOUND error. Parameters connection (GoogleApi.SourceRepo.V1.Connection): Connection to server resource (String.t): REQUIRED: The resource for which the policy detail is being requested. See the operation documentation for the appropriate value for this field. optional_params (KeywordList): [optional] Optional parameters :$.xgafv (String.t): V1 error format. :access_token (String.t): OAuth access token. :alt (String.t): Data format for response. :callback (String.t): JSONP :fields (String.t): Selector specifying which fields to include in a partial response. :key (String.t): API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token. :oauth_token (String.t): OAuth 2.0 token for the current user. :prettyPrint (boolean()): Returns response with indentations and line breaks. :quotaUser (String.t): Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters. :upload_protocol (String.t): Upload protocol for media (e.g. &quot;raw&quot;, &quot;multipart&quot;). :uploadType (String.t): Legacy upload protocol for media (e.g. &quot;media&quot;, &quot;multipart&quot;). :body (TestIamPermissionsRequest): Returns {:ok, %GoogleApi.SourceRepo.V1.Model.TestIamPermissionsResponse{}} on success {:error, info} on failure"},{"ref":"GoogleApi.SourceRepo.V1.Api.Projects.html#sourcerepo_projects_update_config/4","title":"GoogleApi.SourceRepo.V1.Api.Projects.sourcerepo_projects_update_config/4","type":"function","doc":"Updates the Cloud Source Repositories configuration of the project. Parameters connection (GoogleApi.SourceRepo.V1.Connection): Connection to server name (String.t): The name of the requested project. Values are of the form &#x60;projects/&lt;project&gt;&#x60;. optional_params (KeywordList): [optional] Optional parameters :$.xgafv (String.t): V1 error format. :access_token (String.t): OAuth access token. :alt (String.t): Data format for response. :callback (String.t): JSONP :fields (String.t): Selector specifying which fields to include in a partial response. :key (String.t): API key. Your API key identifies your project and provides you with API access, quota, and reports. Required unless you provide an OAuth 2.0 token. :oauth_token (String.t): OAuth 2.0 token for the current user. :prettyPrint (boolean()): Returns response with indentations and line breaks. :quotaUser (String.t): Available to use for quota purposes for server-side applications. Can be any arbitrary string assigned to a user, but should not exceed 40 characters. :upload_protocol (String.t): Upload protocol for media (e.g. &quot;raw&quot;, &quot;multipart&quot;). :uploadType (String.t): Legacy upload protocol for media (e.g. &quot;media&quot;, &quot;multipart&quot;). :body (UpdateProjectConfigRequest): Returns {:ok, %GoogleApi.SourceRepo.V1.Model.ProjectConfig{}} on success {:error, info} on failure"},{"ref":"GoogleApi.SourceRepo.V1.Connection.html","title":"GoogleApi.SourceRepo.V1.Connection","type":"module","doc":"Handle Tesla connections for GoogleApi.SourceRepo.V1."},{"ref":"GoogleApi.SourceRepo.V1.Connection.html#delete/3","title":"GoogleApi.SourceRepo.V1.Connection.delete/3","type":"function","doc":"Perform a DELETE request. See request/1 or request/2 for options definition. delete(&quot;/users&quot;) delete(&quot;/users&quot;, query: [scope: &quot;admin&quot;]) delete(client, &quot;/users&quot;) delete(client, &quot;/users&quot;, query: [scope: &quot;admin&quot;])"},{"ref":"GoogleApi.SourceRepo.V1.Connection.html#delete!/3","title":"GoogleApi.SourceRepo.V1.Connection.delete!/3","type":"function","doc":"Perform a DELETE request. See request!/1 or request!/2 for options definition. delete!(&quot;/users&quot;) delete!(&quot;/users&quot;, query: [scope: &quot;admin&quot;]) delete!(client, &quot;/users&quot;) delete!(client, &quot;/users&quot;, query: [scope: &quot;admin&quot;])"},{"ref":"GoogleApi.SourceRepo.V1.Connection.html#execute/2","title":"GoogleApi.SourceRepo.V1.Connection.execute/2","type":"function","doc":"Execute a request on this connection Returns Tesla.Env"},{"ref":"GoogleApi.SourceRepo.V1.Connection.html#get/3","title":"GoogleApi.SourceRepo.V1.Connection.get/3","type":"function","doc":"Perform a GET request. See request/1 or request/2 for options definition. get(&quot;/users&quot;) get(&quot;/users&quot;, query: [scope: &quot;admin&quot;]) get(client, &quot;/users&quot;) get(client, &quot;/users&quot;, query: [scope: &quot;admin&quot;])"},{"ref":"GoogleApi.SourceRepo.V1.Connection.html#get!/3","title":"GoogleApi.SourceRepo.V1.Connection.get!/3","type":"function","doc":"Perform a GET request. See request!/1 or request!/2 for options definition. get!(&quot;/users&quot;) get!(&quot;/users&quot;, query: [scope: &quot;admin&quot;]) get!(client, &quot;/users&quot;) get!(client, &quot;/users&quot;, query: [scope: &quot;admin&quot;])"},{"ref":"GoogleApi.SourceRepo.V1.Connection.html#head/3","title":"GoogleApi.SourceRepo.V1.Connection.head/3","type":"function","doc":"Perform a HEAD request. See request/1 or request/2 for options definition. head(&quot;/users&quot;) head(&quot;/users&quot;, query: [scope: &quot;admin&quot;]) head(client, &quot;/users&quot;) head(client, &quot;/users&quot;, query: [scope: &quot;admin&quot;])"},{"ref":"GoogleApi.SourceRepo.V1.Connection.html#head!/3","title":"GoogleApi.SourceRepo.V1.Connection.head!/3","type":"function","doc":"Perform a HEAD request. See request!/1 or request!/2 for options definition. head!(&quot;/users&quot;) head!(&quot;/users&quot;, query: [scope: &quot;admin&quot;]) head!(client, &quot;/users&quot;) head!(client, &quot;/users&quot;, query: [scope: &quot;admin&quot;])"},{"ref":"GoogleApi.SourceRepo.V1.Connection.html#new/0","title":"GoogleApi.SourceRepo.V1.Connection.new/0","type":"function","doc":"Configure an authless client connection Returns Tesla.Client.t"},{"ref":"GoogleApi.SourceRepo.V1.Connection.html#new/1","title":"GoogleApi.SourceRepo.V1.Connection.new/1","type":"function","doc":"Configure a client connection using a function which yields a Bearer token. Parameters token_fetcher (function arity of 1): Callback which provides an OAuth2 token given a list of scopes Returns Tesla.Env.client"},{"ref":"GoogleApi.SourceRepo.V1.Connection.html#options/3","title":"GoogleApi.SourceRepo.V1.Connection.options/3","type":"function","doc":"Perform a OPTIONS request. See request/1 or request/2 for options definition. options(&quot;/users&quot;) options(&quot;/users&quot;, query: [scope: &quot;admin&quot;]) options(client, &quot;/users&quot;) options(client, &quot;/users&quot;, query: [scope: &quot;admin&quot;])"},{"ref":"GoogleApi.SourceRepo.V1.Connection.html#options!/3","title":"GoogleApi.SourceRepo.V1.Connection.options!/3","type":"function","doc":"Perform a OPTIONS request. See request!/1 or request!/2 for options definition. options!(&quot;/users&quot;) options!(&quot;/users&quot;, query: [scope: &quot;admin&quot;]) options!(client, &quot;/users&quot;) options!(client, &quot;/users&quot;, query: [scope: &quot;admin&quot;])"},{"ref":"GoogleApi.SourceRepo.V1.Connection.html#patch/4","title":"GoogleApi.SourceRepo.V1.Connection.patch/4","type":"function","doc":"Perform a PATCH request. See request/1 or request/2 for options definition. patch(&quot;/users&quot;, %{name: &quot;Jon&quot;}) patch(&quot;/users&quot;, %{name: &quot;Jon&quot;}, query: [scope: &quot;admin&quot;]) patch(client, &quot;/users&quot;, %{name: &quot;Jon&quot;}) patch(client, &quot;/users&quot;, %{name: &quot;Jon&quot;}, query: [scope: &quot;admin&quot;])"},{"ref":"GoogleApi.SourceRepo.V1.Connection.html#patch!/4","title":"GoogleApi.SourceRepo.V1.Connection.patch!/4","type":"function","doc":"Perform a PATCH request. See request!/1 or request!/2 for options definition. patch!(&quot;/users&quot;, %{name: &quot;Jon&quot;}) patch!(&quot;/users&quot;, %{name: &quot;Jon&quot;}, query: [scope: &quot;admin&quot;]) patch!(client, &quot;/users&quot;, %{name: &quot;Jon&quot;}) patch!(client, &quot;/users&quot;, %{name: &quot;Jon&quot;}, query: [scope: &quot;admin&quot;])"},{"ref":"GoogleApi.SourceRepo.V1.Connection.html#post/4","title":"GoogleApi.SourceRepo.V1.Connection.post/4","type":"function","doc":"Perform a POST request. See request/1 or request/2 for options definition. post(&quot;/users&quot;, %{name: &quot;Jon&quot;}) post(&quot;/users&quot;, %{name: &quot;Jon&quot;}, query: [scope: &quot;admin&quot;]) post(client, &quot;/users&quot;, %{name: &quot;Jon&quot;}) post(client, &quot;/users&quot;, %{name: &quot;Jon&quot;}, query: [scope: &quot;admin&quot;])"},{"ref":"GoogleApi.SourceRepo.V1.Connection.html#post!/4","title":"GoogleApi.SourceRepo.V1.Connection.post!/4","type":"function","doc":"Perform a POST request. See request!/1 or request!/2 for options definition. post!(&quot;/users&quot;, %{name: &quot;Jon&quot;}) post!(&quot;/users&quot;, %{name: &quot;Jon&quot;}, query: [scope: &quot;admin&quot;]) post!(client, &quot;/users&quot;, %{name: &quot;Jon&quot;}) post!(client, &quot;/users&quot;, %{name: &quot;Jon&quot;}, query: [scope: &quot;admin&quot;])"},{"ref":"GoogleApi.SourceRepo.V1.Connection.html#put/4","title":"GoogleApi.SourceRepo.V1.Connection.put/4","type":"function","doc":"Perform a PUT request. See request/1 or request/2 for options definition. put(&quot;/users&quot;, %{name: &quot;Jon&quot;}) put(&quot;/users&quot;, %{name: &quot;Jon&quot;}, query: [scope: &quot;admin&quot;]) put(client, &quot;/users&quot;, %{name: &quot;Jon&quot;}) put(client, &quot;/users&quot;, %{name: &quot;Jon&quot;}, query: [scope: &quot;admin&quot;])"},{"ref":"GoogleApi.SourceRepo.V1.Connection.html#put!/4","title":"GoogleApi.SourceRepo.V1.Connection.put!/4","type":"function","doc":"Perform a PUT request. See request!/1 or request!/2 for options definition. put!(&quot;/users&quot;, %{name: &quot;Jon&quot;}) put!(&quot;/users&quot;, %{name: &quot;Jon&quot;}, query: [scope: &quot;admin&quot;]) put!(client, &quot;/users&quot;, %{name: &quot;Jon&quot;}) put!(client, &quot;/users&quot;, %{name: &quot;Jon&quot;}, query: [scope: &quot;admin&quot;])"},{"ref":"GoogleApi.SourceRepo.V1.Connection.html#request/2","title":"GoogleApi.SourceRepo.V1.Connection.request/2","type":"function","doc":"Perform a request Options: :method - the request method, one of [:head, :get, :delete, :trace, :options, :post, :put, :patch] :url - either full url e.g. &quot;http://example.com/some/path&quot; or just &quot;/some/path&quot; if using Tesla.Middleware.BaseUrl :query - a keyword list of query params, e.g. [page: 1, per_page: 100] :headers - a keyworld list of headers, e.g. [{&quot;content-type&quot;, &quot;text/plain&quot;}] :body - depends on used middleware: by default it can be a binary if using e.g. JSON encoding middleware it can be a nested map if adapter supports it it can be a Stream with any of the above :opts - custom, per-request middleware or adapter options Examples: ExampleApi.request(method: :get, url: &quot;/users/path&quot;) You can also use shortcut methods like: ExampleApi.get(&quot;/users/1&quot;) or ExampleApi.post(client, &quot;/users&quot;, %{name: &quot;Jon&quot;})"},{"ref":"GoogleApi.SourceRepo.V1.Connection.html#request!/2","title":"GoogleApi.SourceRepo.V1.Connection.request!/2","type":"function","doc":"Perform request and raise in case of error. This is similar to request/2 behaviour from Tesla 0.x See request/2 for list of available options."},{"ref":"GoogleApi.SourceRepo.V1.Connection.html#trace/3","title":"GoogleApi.SourceRepo.V1.Connection.trace/3","type":"function","doc":"Perform a TRACE request. See request/1 or request/2 for options definition. trace(&quot;/users&quot;) trace(&quot;/users&quot;, query: [scope: &quot;admin&quot;]) trace(client, &quot;/users&quot;) trace(client, &quot;/users&quot;, query: [scope: &quot;admin&quot;])"},{"ref":"GoogleApi.SourceRepo.V1.Connection.html#trace!/3","title":"GoogleApi.SourceRepo.V1.Connection.trace!/3","type":"function","doc":"Perform a TRACE request. See request!/1 or request!/2 for options definition. trace!(&quot;/users&quot;) trace!(&quot;/users&quot;, query: [scope: &quot;admin&quot;]) trace!(client, &quot;/users&quot;) trace!(client, &quot;/users&quot;, query: [scope: &quot;admin&quot;])"},{"ref":"GoogleApi.SourceRepo.V1.Connection.html#t:option/0","title":"GoogleApi.SourceRepo.V1.Connection.option/0","type":"type","doc":""},{"ref":"GoogleApi.SourceRepo.V1.Deserializer.html","title":"GoogleApi.SourceRepo.V1.Deserializer","type":"module","doc":"Helper functions for deserializing responses into models. This module is no longer used. Please use GoogleApi.Gax.ModelBase instead."},{"ref":"GoogleApi.SourceRepo.V1.Model.AuditConfig.html","title":"GoogleApi.SourceRepo.V1.Model.AuditConfig","type":"module","doc":"Specifies the audit configuration for a service. The configuration determines which permission types are logged, and what identities, if any, are exempted from logging. An AuditConfig must have one or more AuditLogConfigs. If there are AuditConfigs for both &#x60;allServices&#x60; and a specific service, the union of the two AuditConfigs is used for that service: the log_types specified in each AuditConfig are enabled, and the exempted_members in each AuditLogConfig are exempted. Example Policy with multiple AuditConfigs: { &quot;audit_configs&quot;: [ { &quot;service&quot;: &quot;allServices&quot; &quot;audit_log_configs&quot;: [ { &quot;log_type&quot;: &quot;DATA_READ&quot;, &quot;exempted_members&quot;: [ &quot;user:foo@gmail.com&quot; ] }, { &quot;log_type&quot;: &quot;DATA_WRITE&quot;, }, { &quot;log_type&quot;: &quot;ADMIN_READ&quot;, } ] }, { &quot;service&quot;: &quot;fooservice.googleapis.com&quot; &quot;audit_log_configs&quot;: [ { &quot;log_type&quot;: &quot;DATA_READ&quot;, }, { &quot;log_type&quot;: &quot;DATA_WRITE&quot;, &quot;exempted_members&quot;: [ &quot;user:bar@gmail.com&quot; ] } ] } ] } For fooservice, this policy enables DATA_READ, DATA_WRITE and ADMIN_READ logging. It also exempts foo@gmail.com from DATA_READ logging, and bar@gmail.com from DATA_WRITE logging. Attributes auditLogConfigs ([AuditLogConfig]): The configuration for logging of each type of permission. Defaults to: null. service (String.t): Specifies a service that will be enabled for audit logging. For example, &#x60;storage.googleapis.com&#x60;, &#x60;cloudsql.googleapis.com&#x60;. &#x60;allServices&#x60; is a special value that covers all services. Defaults to: null."},{"ref":"GoogleApi.SourceRepo.V1.Model.AuditConfig.html#decode/2","title":"GoogleApi.SourceRepo.V1.Model.AuditConfig.decode/2","type":"function","doc":"Unwrap a decoded JSON object into its complex fields."},{"ref":"GoogleApi.SourceRepo.V1.Model.AuditConfig.html#t:t/0","title":"GoogleApi.SourceRepo.V1.Model.AuditConfig.t/0","type":"type","doc":""},{"ref":"GoogleApi.SourceRepo.V1.Model.AuditLogConfig.html","title":"GoogleApi.SourceRepo.V1.Model.AuditLogConfig","type":"module","doc":"Provides the configuration for logging a type of permissions. Example: { &quot;audit_log_configs&quot;: [ { &quot;log_type&quot;: &quot;DATA_READ&quot;, &quot;exempted_members&quot;: [ &quot;user:foo@gmail.com&quot; ] }, { &quot;log_type&quot;: &quot;DATA_WRITE&quot;, } ] } This enables &#39;DATA_READ&#39; and &#39;DATA_WRITE&#39; logging, while exempting foo@gmail.com from DATA_READ logging. Attributes exemptedMembers ([String.t]): Specifies the identities that do not cause logging for this type of permission. Follows the same format of Binding.members. Defaults to: null. logType (String.t): The log type that this config enables. Defaults to: null. Enum - one of [LOG_TYPE_UNSPECIFIED, ADMIN_READ, DATA_WRITE, DATA_READ]"},{"ref":"GoogleApi.SourceRepo.V1.Model.AuditLogConfig.html#decode/2","title":"GoogleApi.SourceRepo.V1.Model.AuditLogConfig.decode/2","type":"function","doc":"Unwrap a decoded JSON object into its complex fields."},{"ref":"GoogleApi.SourceRepo.V1.Model.AuditLogConfig.html#t:t/0","title":"GoogleApi.SourceRepo.V1.Model.AuditLogConfig.t/0","type":"type","doc":""},{"ref":"GoogleApi.SourceRepo.V1.Model.Binding.html","title":"GoogleApi.SourceRepo.V1.Model.Binding","type":"module","doc":"Associates &#x60;members&#x60; with a &#x60;role&#x60;. Attributes condition (Expr): The condition that is associated with this binding. NOTE: An unsatisfied condition will not allow user access via current binding. Different bindings, including their conditions, are examined independently. Defaults to: null. members ([String.t]): Specifies the identities requesting access for a Cloud Platform resource. &#x60;members&#x60; can have the following values: &#x60;allUsers&#x60;: A special identifier that represents anyone who is on the internet; with or without a Google account. &#x60;allAuthenticatedUsers&#x60;: A special identifier that represents anyone who is authenticated with a Google account or a service account. &#x60;user:{emailid}&#x60;: An email address that represents a specific Google account. For example, &#x60;alice@gmail.com&#x60; . &#x60;serviceAccount:{emailid}&#x60;: An email address that represents a service account. For example, &#x60;my-other-app@appspot.gserviceaccount.com&#x60;. &#x60;group:{emailid}&#x60;: An email address that represents a Google group. For example, &#x60;admins@example.com&#x60;. &#x60;domain:{domain}&#x60;: The G Suite domain (primary) that represents all the users of that domain. For example, &#x60;google.com&#x60; or &#x60;example.com&#x60;. Defaults to: null. role (String.t): Role that is assigned to &#x60;members&#x60;. For example, &#x60;roles/viewer&#x60;, &#x60;roles/editor&#x60;, or &#x60;roles/owner&#x60;. Defaults to: null."},{"ref":"GoogleApi.SourceRepo.V1.Model.Binding.html#decode/2","title":"GoogleApi.SourceRepo.V1.Model.Binding.decode/2","type":"function","doc":"Unwrap a decoded JSON object into its complex fields."},{"ref":"GoogleApi.SourceRepo.V1.Model.Binding.html#t:t/0","title":"GoogleApi.SourceRepo.V1.Model.Binding.t/0","type":"type","doc":""},{"ref":"GoogleApi.SourceRepo.V1.Model.Empty.html","title":"GoogleApi.SourceRepo.V1.Model.Empty","type":"module","doc":"A generic empty message that you can re-use to avoid defining duplicated empty messages in your APIs. A typical example is to use it as the request or the response type of an API method. For instance: service Foo { rpc Bar(google.protobuf.Empty) returns (google.protobuf.Empty); } The JSON representation for &#x60;Empty&#x60; is empty JSON object &#x60;{}&#x60;. Attributes"},{"ref":"GoogleApi.SourceRepo.V1.Model.Empty.html#decode/2","title":"GoogleApi.SourceRepo.V1.Model.Empty.decode/2","type":"function","doc":"Unwrap a decoded JSON object into its complex fields."},{"ref":"GoogleApi.SourceRepo.V1.Model.Empty.html#t:t/0","title":"GoogleApi.SourceRepo.V1.Model.Empty.t/0","type":"type","doc":""},{"ref":"GoogleApi.SourceRepo.V1.Model.Expr.html","title":"GoogleApi.SourceRepo.V1.Model.Expr","type":"module","doc":"Represents an expression text. Example: title: &quot;User account presence&quot; description: &quot;Determines whether the request has a user account&quot; expression: &quot;size(request.user) &gt; 0&quot; Attributes description (String.t): An optional description of the expression. This is a longer text which describes the expression, e.g. when hovered over it in a UI. Defaults to: null. expression (String.t): Textual representation of an expression in Common Expression Language syntax. The application context of the containing message determines which well-known feature set of CEL is supported. Defaults to: null. location (String.t): An optional string indicating the location of the expression for error reporting, e.g. a file name and a position in the file. Defaults to: null. title (String.t): An optional title for the expression, i.e. a short string describing its purpose. This can be used e.g. in UIs which allow to enter the expression. Defaults to: null."},{"ref":"GoogleApi.SourceRepo.V1.Model.Expr.html#decode/2","title":"GoogleApi.SourceRepo.V1.Model.Expr.decode/2","type":"function","doc":"Unwrap a decoded JSON object into its complex fields."},{"ref":"GoogleApi.SourceRepo.V1.Model.Expr.html#t:t/0","title":"GoogleApi.SourceRepo.V1.Model.Expr.t/0","type":"type","doc":""},{"ref":"GoogleApi.SourceRepo.V1.Model.ListReposResponse.html","title":"GoogleApi.SourceRepo.V1.Model.ListReposResponse","type":"module","doc":"Response for ListRepos. The size is not set in the returned repositories. Attributes nextPageToken (String.t): If non-empty, additional repositories exist within the project. These can be retrieved by including this value in the next ListReposRequest&#39;s page_token field. Defaults to: null. repos ([Repo]): The listed repos. Defaults to: null."},{"ref":"GoogleApi.SourceRepo.V1.Model.ListReposResponse.html#decode/2","title":"GoogleApi.SourceRepo.V1.Model.ListReposResponse.decode/2","type":"function","doc":"Unwrap a decoded JSON object into its complex fields."},{"ref":"GoogleApi.SourceRepo.V1.Model.ListReposResponse.html#t:t/0","title":"GoogleApi.SourceRepo.V1.Model.ListReposResponse.t/0","type":"type","doc":""},{"ref":"GoogleApi.SourceRepo.V1.Model.MirrorConfig.html","title":"GoogleApi.SourceRepo.V1.Model.MirrorConfig","type":"module","doc":"Configuration to automatically mirror a repository from another hosting service, for example GitHub or Bitbucket. Attributes deployKeyId (String.t): ID of the SSH deploy key at the other hosting service. Removing this key from the other service would deauthorize Google Cloud Source Repositories from mirroring. Defaults to: null. url (String.t): URL of the main repository at the other hosting service. Defaults to: null. webhookId (String.t): ID of the webhook listening to updates to trigger mirroring. Removing this webhook from the other hosting service will stop Google Cloud Source Repositories from receiving notifications, and thereby disabling mirroring. Defaults to: null."},{"ref":"GoogleApi.SourceRepo.V1.Model.MirrorConfig.html#decode/2","title":"GoogleApi.SourceRepo.V1.Model.MirrorConfig.decode/2","type":"function","doc":"Unwrap a decoded JSON object into its complex fields."},{"ref":"GoogleApi.SourceRepo.V1.Model.MirrorConfig.html#t:t/0","title":"GoogleApi.SourceRepo.V1.Model.MirrorConfig.t/0","type":"type","doc":""},{"ref":"GoogleApi.SourceRepo.V1.Model.Operation.html","title":"GoogleApi.SourceRepo.V1.Model.Operation","type":"module","doc":"This resource represents a long-running operation that is the result of a network API call. Attributes done (boolean()): If the value is &#x60;false&#x60;, it means the operation is still in progress. If &#x60;true&#x60;, the operation is completed, and either &#x60;error&#x60; or &#x60;response&#x60; is available. Defaults to: null. error (Status): The error result of the operation in case of failure or cancellation. Defaults to: null. metadata (%{optional(String.t) &#x3D;&gt; String.t}): Service-specific metadata associated with the operation. It typically contains progress information and common metadata such as create time. Some services might not provide such metadata. Any method that returns a long-running operation should document the metadata type, if any. Defaults to: null. name (String.t): The server-assigned name, which is only unique within the same service that originally returns it. If you use the default HTTP mapping, the &#x60;name&#x60; should have the format of &#x60;operations/some/unique/name&#x60;. Defaults to: null. response (%{optional(String.t) &#x3D;&gt; String.t}): The normal response of the operation in case of success. If the original method returns no data on success, such as &#x60;Delete&#x60;, the response is &#x60;google.protobuf.Empty&#x60;. If the original method is standard &#x60;Get&#x60;/&#x60;Create&#x60;/&#x60;Update&#x60;, the response should be the resource. For other methods, the response should have the type &#x60;XxxResponse&#x60;, where &#x60;Xxx&#x60; is the original method name. For example, if the original method name is &#x60;TakeSnapshot()&#x60;, the inferred response type is &#x60;TakeSnapshotResponse&#x60;. Defaults to: null."},{"ref":"GoogleApi.SourceRepo.V1.Model.Operation.html#decode/2","title":"GoogleApi.SourceRepo.V1.Model.Operation.decode/2","type":"function","doc":"Unwrap a decoded JSON object into its complex fields."},{"ref":"GoogleApi.SourceRepo.V1.Model.Operation.html#t:t/0","title":"GoogleApi.SourceRepo.V1.Model.Operation.t/0","type":"type","doc":""},{"ref":"GoogleApi.SourceRepo.V1.Model.Policy.html","title":"GoogleApi.SourceRepo.V1.Model.Policy","type":"module","doc":"Defines an Identity and Access Management (IAM) policy. It is used to specify access control policies for Cloud Platform resources. A &#x60;Policy&#x60; consists of a list of &#x60;bindings&#x60;. A &#x60;binding&#x60; binds a list of &#x60;members&#x60; to a &#x60;role&#x60;, where the members can be user accounts, Google groups, Google domains, and service accounts. A &#x60;role&#x60; is a named list of permissions defined by IAM. JSON Example { &quot;bindings&quot;: [ { &quot;role&quot;: &quot;roles/owner&quot;, &quot;members&quot;: [ &quot;user:mike@example.com&quot;, &quot;group:admins@example.com&quot;, &quot;domain:google.com&quot;, &quot;serviceAccount:my-other-app@appspot.gserviceaccount.com&quot; ] }, { &quot;role&quot;: &quot;roles/viewer&quot;, &quot;members&quot;: [&quot;user:sean@example.com&quot;] } ] } YAML Example bindings: - members: - user:mike@example.com - group:admins@example.com - domain:google.com - serviceAccount:my-other-app@appspot.gserviceaccount.com role: roles/owner - members: - user:sean@example.com role: roles/viewer For a description of IAM and its features, see the IAM developer&#39;s guide. Attributes auditConfigs ([AuditConfig]): Specifies cloud audit logging configuration for this policy. Defaults to: null. bindings ([Binding]): Associates a list of &#x60;members&#x60; to a &#x60;role&#x60;. &#x60;bindings&#x60; with no members will result in an error. Defaults to: null. etag (binary()): &#x60;etag&#x60; is used for optimistic concurrency control as a way to help prevent simultaneous updates of a policy from overwriting each other. It is strongly suggested that systems make use of the &#x60;etag&#x60; in the read-modify-write cycle to perform policy updates in order to avoid race conditions: An &#x60;etag&#x60; is returned in the response to &#x60;getIamPolicy&#x60;, and systems are expected to put that etag in the request to &#x60;setIamPolicy&#x60; to ensure that their change will be applied to the same version of the policy. If no &#x60;etag&#x60; is provided in the call to &#x60;setIamPolicy&#x60;, then the existing policy is overwritten blindly. Defaults to: null. version (integer()): Deprecated. Defaults to: null."},{"ref":"GoogleApi.SourceRepo.V1.Model.Policy.html#decode/2","title":"GoogleApi.SourceRepo.V1.Model.Policy.decode/2","type":"function","doc":"Unwrap a decoded JSON object into its complex fields."},{"ref":"GoogleApi.SourceRepo.V1.Model.Policy.html#t:t/0","title":"GoogleApi.SourceRepo.V1.Model.Policy.t/0","type":"type","doc":""},{"ref":"GoogleApi.SourceRepo.V1.Model.ProjectConfig.html","title":"GoogleApi.SourceRepo.V1.Model.ProjectConfig","type":"module","doc":"Cloud Source Repositories configuration of a project. Attributes enablePrivateKeyCheck (boolean()): Reject a Git push that contains a private key. Defaults to: null. name (String.t): The name of the project. Values are of the form &#x60;projects/&lt;project&gt;&#x60;. Defaults to: null. pubsubConfigs (%{optional(String.t) &#x3D;&gt; PubsubConfig}): How this project publishes a change in the repositories through Cloud Pub/Sub. Keyed by the topic names. Defaults to: null."},{"ref":"GoogleApi.SourceRepo.V1.Model.ProjectConfig.html#decode/2","title":"GoogleApi.SourceRepo.V1.Model.ProjectConfig.decode/2","type":"function","doc":"Unwrap a decoded JSON object into its complex fields."},{"ref":"GoogleApi.SourceRepo.V1.Model.ProjectConfig.html#t:t/0","title":"GoogleApi.SourceRepo.V1.Model.ProjectConfig.t/0","type":"type","doc":""},{"ref":"GoogleApi.SourceRepo.V1.Model.PubsubConfig.html","title":"GoogleApi.SourceRepo.V1.Model.PubsubConfig","type":"module","doc":"Configuration to publish a Cloud Pub/Sub message. Attributes messageFormat (String.t): The format of the Cloud Pub/Sub messages. Defaults to: null. Enum - one of [MESSAGE_FORMAT_UNSPECIFIED, PROTOBUF, JSON] serviceAccountEmail (String.t): Email address of the service account used for publishing Cloud Pub/Sub messages. This service account needs to be in the same project as the PubsubConfig. When added, the caller needs to have iam.serviceAccounts.actAs permission on this service account. If unspecified, it defaults to the compute engine default service account. Defaults to: null. topic (String.t): A topic of Cloud Pub/Sub. Values are of the form &#x60;projects/&lt;project&gt;/topics/&lt;topic&gt;&#x60;. The project needs to be the same project as this config is in. Defaults to: null."},{"ref":"GoogleApi.SourceRepo.V1.Model.PubsubConfig.html#decode/2","title":"GoogleApi.SourceRepo.V1.Model.PubsubConfig.decode/2","type":"function","doc":"Unwrap a decoded JSON object into its complex fields."},{"ref":"GoogleApi.SourceRepo.V1.Model.PubsubConfig.html#t:t/0","title":"GoogleApi.SourceRepo.V1.Model.PubsubConfig.t/0","type":"type","doc":""},{"ref":"GoogleApi.SourceRepo.V1.Model.Repo.html","title":"GoogleApi.SourceRepo.V1.Model.Repo","type":"module","doc":"A repository (or repo) is a Git repository storing versioned source content. Attributes mirrorConfig (MirrorConfig): How this repository mirrors a repository managed by another service. Read-only field. Defaults to: null. name (String.t): Resource name of the repository, of the form &#x60;projects/&lt;project&gt;/repos/&lt;repo&gt;&#x60;. The repo name may contain slashes. eg, &#x60;projects/myproject/repos/name/with/slash&#x60; Defaults to: null. pubsubConfigs (%{optional(String.t) &#x3D;&gt; PubsubConfig}): How this repository publishes a change in the repository through Cloud Pub/Sub. Keyed by the topic names. Defaults to: null. size (String.t): The disk usage of the repo, in bytes. Read-only field. Size is only returned by GetRepo. Defaults to: null. url (String.t): URL to clone the repository from Google Cloud Source Repositories. Read-only field. Defaults to: null."},{"ref":"GoogleApi.SourceRepo.V1.Model.Repo.html#decode/2","title":"GoogleApi.SourceRepo.V1.Model.Repo.decode/2","type":"function","doc":"Unwrap a decoded JSON object into its complex fields."},{"ref":"GoogleApi.SourceRepo.V1.Model.Repo.html#t:t/0","title":"GoogleApi.SourceRepo.V1.Model.Repo.t/0","type":"type","doc":""},{"ref":"GoogleApi.SourceRepo.V1.Model.SetIamPolicyRequest.html","title":"GoogleApi.SourceRepo.V1.Model.SetIamPolicyRequest","type":"module","doc":"Request message for &#x60;SetIamPolicy&#x60; method. Attributes policy (Policy): REQUIRED: The complete policy to be applied to the &#x60;resource&#x60;. The size of the policy is limited to a few 10s of KB. An empty policy is a valid policy but certain Cloud Platform services (such as Projects) might reject them. Defaults to: null. updateMask (String.t): OPTIONAL: A FieldMask specifying which fields of the policy to modify. Only the fields in the mask will be modified. If no mask is provided, the following default mask is used: paths: &quot;bindings, etag&quot; This field is only used by Cloud IAM. Defaults to: null."},{"ref":"GoogleApi.SourceRepo.V1.Model.SetIamPolicyRequest.html#decode/2","title":"GoogleApi.SourceRepo.V1.Model.SetIamPolicyRequest.decode/2","type":"function","doc":"Unwrap a decoded JSON object into its complex fields."},{"ref":"GoogleApi.SourceRepo.V1.Model.SetIamPolicyRequest.html#t:t/0","title":"GoogleApi.SourceRepo.V1.Model.SetIamPolicyRequest.t/0","type":"type","doc":""},{"ref":"GoogleApi.SourceRepo.V1.Model.Status.html","title":"GoogleApi.SourceRepo.V1.Model.Status","type":"module","doc":"The &#x60;Status&#x60; type defines a logical error model that is suitable for different programming environments, including REST APIs and RPC APIs. It is used by gRPC. The error model is designed to be: - Simple to use and understand for most users - Flexible enough to meet unexpected needs # Overview The &#x60;Status&#x60; message contains three pieces of data: error code, error message, and error details. The error code should be an enum value of google.rpc.Code, but it may accept additional error codes if needed. The error message should be a developer-facing English message that helps developers understand and resolve the error. If a localized user-facing error message is needed, put the localized message in the error details or localize it in the client. The optional error details may contain arbitrary information about the error. There is a predefined set of error detail types in the package &#x60;google.rpc&#x60; that can be used for common error conditions. # Language mapping The &#x60;Status&#x60; message is the logical representation of the error model, but it is not necessarily the actual wire format. When the &#x60;Status&#x60; message is exposed in different client libraries and different wire protocols, it can be mapped differently. For example, it will likely be mapped to some exceptions in Java, but more likely mapped to some error codes in C. # Other uses The error model and the &#x60;Status&#x60; message can be used in a variety of environments, either with or without APIs, to provide a consistent developer experience across different environments. Example uses of this error model include: - Partial errors. If a service needs to return partial errors to the client, it may embed the &#x60;Status&#x60; in the normal response to indicate the partial errors. - Workflow errors. A typical workflow has multiple steps. Each step may have a &#x60;Status&#x60; message for error reporting. - Batch operations. If a client uses batch request and batch response, the &#x60;Status&#x60; message should be used directly inside batch response, one for each error sub-response. - Asynchronous operations. If an API call embeds asynchronous operation results in its response, the status of those operations should be represented directly using the &#x60;Status&#x60; message. - Logging. If some API errors are stored in logs, the message &#x60;Status&#x60; could be used directly after any stripping needed for security/privacy reasons. Attributes code (integer()): The status code, which should be an enum value of google.rpc.Code. Defaults to: null. details ([Object]): A list of messages that carry the error details. There is a common set of message types for APIs to use. Defaults to: null. message (String.t): A developer-facing error message, which should be in English. Any user-facing error message should be localized and sent in the google.rpc.Status.details field, or localized by the client. Defaults to: null."},{"ref":"GoogleApi.SourceRepo.V1.Model.Status.html#decode/2","title":"GoogleApi.SourceRepo.V1.Model.Status.decode/2","type":"function","doc":"Unwrap a decoded JSON object into its complex fields."},{"ref":"GoogleApi.SourceRepo.V1.Model.Status.html#t:t/0","title":"GoogleApi.SourceRepo.V1.Model.Status.t/0","type":"type","doc":""},{"ref":"GoogleApi.SourceRepo.V1.Model.SyncRepoRequest.html","title":"GoogleApi.SourceRepo.V1.Model.SyncRepoRequest","type":"module","doc":"Request for SyncRepo. Attributes"},{"ref":"GoogleApi.SourceRepo.V1.Model.SyncRepoRequest.html#decode/2","title":"GoogleApi.SourceRepo.V1.Model.SyncRepoRequest.decode/2","type":"function","doc":"Unwrap a decoded JSON object into its complex fields."},{"ref":"GoogleApi.SourceRepo.V1.Model.SyncRepoRequest.html#t:t/0","title":"GoogleApi.SourceRepo.V1.Model.SyncRepoRequest.t/0","type":"type","doc":""},{"ref":"GoogleApi.SourceRepo.V1.Model.TestIamPermissionsRequest.html","title":"GoogleApi.SourceRepo.V1.Model.TestIamPermissionsRequest","type":"module","doc":"Request message for &#x60;TestIamPermissions&#x60; method. Attributes permissions ([String.t]): The set of permissions to check for the &#x60;resource&#x60;. Permissions with wildcards (such as &#39;&#39; or &#39;storage.&#39;) are not allowed. For more information see IAM Overview. Defaults to: null."},{"ref":"GoogleApi.SourceRepo.V1.Model.TestIamPermissionsRequest.html#decode/2","title":"GoogleApi.SourceRepo.V1.Model.TestIamPermissionsRequest.decode/2","type":"function","doc":"Unwrap a decoded JSON object into its complex fields."},{"ref":"GoogleApi.SourceRepo.V1.Model.TestIamPermissionsRequest.html#t:t/0","title":"GoogleApi.SourceRepo.V1.Model.TestIamPermissionsRequest.t/0","type":"type","doc":""},{"ref":"GoogleApi.SourceRepo.V1.Model.TestIamPermissionsResponse.html","title":"GoogleApi.SourceRepo.V1.Model.TestIamPermissionsResponse","type":"module","doc":"Response message for &#x60;TestIamPermissions&#x60; method. Attributes permissions ([String.t]): A subset of &#x60;TestPermissionsRequest.permissions&#x60; that the caller is allowed. Defaults to: null."},{"ref":"GoogleApi.SourceRepo.V1.Model.TestIamPermissionsResponse.html#decode/2","title":"GoogleApi.SourceRepo.V1.Model.TestIamPermissionsResponse.decode/2","type":"function","doc":"Unwrap a decoded JSON object into its complex fields."},{"ref":"GoogleApi.SourceRepo.V1.Model.TestIamPermissionsResponse.html#t:t/0","title":"GoogleApi.SourceRepo.V1.Model.TestIamPermissionsResponse.t/0","type":"type","doc":""},{"ref":"GoogleApi.SourceRepo.V1.Model.UpdateProjectConfigRequest.html","title":"GoogleApi.SourceRepo.V1.Model.UpdateProjectConfigRequest","type":"module","doc":"Request for UpdateProjectConfig. Attributes projectConfig (ProjectConfig): The new configuration for the project. Defaults to: null. updateMask (String.t): A FieldMask specifying which fields of the project_config to modify. Only the fields in the mask will be modified. If no mask is provided, this request is no-op. Defaults to: null."},{"ref":"GoogleApi.SourceRepo.V1.Model.UpdateProjectConfigRequest.html#decode/2","title":"GoogleApi.SourceRepo.V1.Model.UpdateProjectConfigRequest.decode/2","type":"function","doc":"Unwrap a decoded JSON object into its complex fields."},{"ref":"GoogleApi.SourceRepo.V1.Model.UpdateProjectConfigRequest.html#t:t/0","title":"GoogleApi.SourceRepo.V1.Model.UpdateProjectConfigRequest.t/0","type":"type","doc":""},{"ref":"GoogleApi.SourceRepo.V1.Model.UpdateRepoRequest.html","title":"GoogleApi.SourceRepo.V1.Model.UpdateRepoRequest","type":"module","doc":"Request for UpdateRepo. Attributes repo (Repo): The new configuration for the repository. Defaults to: null. updateMask (String.t): A FieldMask specifying which fields of the repo to modify. Only the fields in the mask will be modified. If no mask is provided, this request is no-op. Defaults to: null."},{"ref":"GoogleApi.SourceRepo.V1.Model.UpdateRepoRequest.html#decode/2","title":"GoogleApi.SourceRepo.V1.Model.UpdateRepoRequest.decode/2","type":"function","doc":"Unwrap a decoded JSON object into its complex fields."},{"ref":"GoogleApi.SourceRepo.V1.Model.UpdateRepoRequest.html#t:t/0","title":"GoogleApi.SourceRepo.V1.Model.UpdateRepoRequest.t/0","type":"type","doc":""},{"ref":"GoogleApi.SourceRepo.V1.RequestBuilder.html","title":"GoogleApi.SourceRepo.V1.RequestBuilder","type":"module","doc":"Helper functions for building Tesla requests. This module is no longer used. Please use GoogleApi.Gax.Request instead."}]